Bug 1715215 - uwsgi fails to build in Fedora 31/rawhide
Summary: uwsgi fails to build in Fedora 31/rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-29 19:41 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
4 users (show)

Fixed In Version: uwsgi-2.0.18-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-19 22:51:52 UTC
Type: Bug


Attachments (Terms of Use)
root.log from Koji (60.27 KB, text/plain)
2019-05-29 19:41 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-05-29 19:41:43 UTC
Created attachment 1575000 [details]
root.log from Koji

uwsgi 2.0.17.1-11.fc30 BuildRequires both php-devel and compat-openssl10-devel and cannot resolve dependencies when building:


Error: 
 Problem: package php-devel-7.3.6-1.fc31.x86_64 requires openssl-devel(x86-64), but none of the providers can be installed
  - package compat-openssl10-devel-1:1.0.2o-5.fc30.x86_64 conflicts with openssl-devel provided by openssl-devel-1:1.1.1c-1.fc31.x86_64
  - conflicting requests


Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35133220

This blocks the Python 3.8 rebuild.

Comment 1 Carl George 2019-06-19 22:51:52 UTC
Upstream is now compatible with openssl 1.1.1, so I've removed the conditional for compat-openssl10.  I've also disabled all the python2 subpackages on F31+ to handle the removal of python2-tornado.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1290277


Note You need to log in before you can comment on or make changes to this bug.